# Method: partners.adsAccountLinks.patch

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch#body.aspect)

Updates Ads account link with inventory items. This will update the Ads account link with the provided inventory items.

### HTTP request

`PATCH https://mapsbooking.googleapis.com/v1alpha/{adsAccountLink.name=partners/*/adsAccountLinks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `adsAccountLink.name` | `string` Identifier. Resource name of the AdsAccountLink. Format: `partners/{partner}/adsAccountLinks/{adsAccountLink}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks#AdsAccountLink`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks#AdsAccountLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`